<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.entrustment.mapper.StorageCellMapper">

  <resultMap id="storageCellMap" type="digital.laboratory.platform.entrustment.entity.StorageCell">
    <id property="id" column="id"/>
    <result property="cabinetNo" column="cabinet_no"/>
    <result property="cellNo" column="cell_no"/>
    <result property="openCode" column="open_code"/>
    <result property="openCodeExpiration" column="open_code_expiration"/>
    <result property="available" column="available"/>
    <result property="status" column="status"/>
    <result property="boxId" column="box_id"/>
    <result property="createTime" column="create_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateTime" column="update_time"/>
    <result property="updateBy" column="update_by"/>
  </resultMap>
</mapper>
